Page MenuHomePhabricator

Evaluate Concourse CI
Closed, ResolvedPublic

Description

How hard would it to implement a simple CI task that gets Blubber source code from Gerrit, builds it with Go, and runs its unit tests?

Event Timeline

zeljkofilipin renamed this task from Investigate Concourse-CI to Evaluate Concourse-CI.Mar 14 2019, 6:13 PM
zeljkofilipin triaged this task as Normal priority.
hashar added a subscriber: hashar.Mar 15 2019, 6:57 AM

I'm having a hard time getting the "build blubber" toy project done with Concourse. Possibly it's due my unfamiliarity with Docker, or that I'd need to study the Concourse documentation more, but for now, it doesn't seem like this would be a good option for our needs. Anything that is this much work to start using is unlikely to be popular among our developers, I'm afraid.

Apart from that, the fact that the fly command line tool is mandatory seems like it'd be a further stumbling block and constant source of friction for us.

As such, I can't recommend Concourse for WMF.

Oh, yes, I forgot to update the ticket.

We discussed this within the working group and decided against Concourse.

LarsWirzenius closed this task as Resolved.Mar 22 2019, 11:33 AM
zeljkofilipin renamed this task from Evaluate Concourse-CI to Evaluate Concourse CI.Mar 22 2019, 1:52 PM